#include <stdio.h>
#include <time.h>
#include <string.h>

int main() {
	//Settings
	char ANSWER[5][100] = {"75", "a=66,b=99", "n/2", "ABCD/+EFG/+*-", "5"};	//答案
	int QNUM = 5;						//题目数量
	int CORRECT = 0;					//作答情况统计

	char *p_time = "2022-05-01 21:30:00";
	struct tm tm_time;
	sscanf(p_time, "%4d-%2d-%2d %2d:%2d:%2d", &tm_time.tm_year, &tm_time.tm_mon, &tm_time.tm_mday, &tm_time.tm_hour,
	       &tm_time.tm_min, &tm_time.tm_sec);
	tm_time.tm_year -= 1900, tm_time.tm_mon--, tm_time.tm_isdst = -1;
	time_t time_set = mktime(&tm_time);
	time_t time_cur;
	time(&time_cur);
	fprintf(stderr, "Judger time settings: current:%lld, judge set at %lld\n", time_cur, time_set);
	if (time_cur < time_set) {
		printf("0");
		fprintf(stderr, "Your score will be judged after the end of this contest!");
	} else {
		FILE *IN = fopen("user_out", "r");
		for (int i = 1; i <= QNUM; i++) {
			char c[200];
			fgets(c, 200, IN);
			c[strcspn(c, "\n")] = '\0';
			c[strcspn(c, "\r")] = '\0';
			if (strcmp(c, ANSWER[i - 1]) == 0) {
				CORRECT++;
			} else {
				fprintf(stderr, "Q%d. Your answer %s, correct answer %s, differ %d.\n", i, c, ANSWER[i - 1], strcmp(c, ANSWER[i - 1]));
			}
		}
		printf("%d", CORRECT);
	}
}